Bug 239123 - sysutils/xfce4-cpugraph-plugin: fix build on GCC architectures
Summary: sysutils/xfce4-cpugraph-plugin: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-xfce mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-10 22:28 UTC by Piotr Kubaj
Modified: 2019-07-12 16:57 UTC (History)
3 users (show)

See Also:
madpilot: maintainer-feedback+


Attachments
patch (356 bytes, text/plain)
2019-07-10 22:28 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (xfce)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-10 22:28:11 UTC
Created attachment 205677 [details]
patch

After last update this port needs USE_CSTD=c99 to build with base GCC:
cpu.c:573: error: 'for' loop initial declaration used outside C99 mode
cpu.c: In function 'set_color':
cpu.c:592: warning: 'gtk_widget_override_background_color' is deprecated (declared at /usr/local/include/gtk-3.0/gtk/gtkwidget.h:1150)
cpu.c:593: warning: 'gtk_widget_override_background_color' is deprecated (declared at /usr/local/include/gtk-3.0/gtk/gtkwidget.h:1150)
Comment 1 Guido Falsi freebsd_committer 2019-07-11 09:26:10 UTC
Thanks for the report.

I'll commit after some quick test.
Comment 2 Guido Falsi freebsd_committer 2019-07-12 16:57:12 UTC
Committed. Thanks!
Comment 3 commit-hook freebsd_committer 2019-07-12 16:57:31 UTC
A commit references this bug:

Author: madpilot
Date: Fri Jul 12 16:56:54 UTC 2019
New revision: 506482
URL: https://svnweb.freebsd.org/changeset/ports/506482

Log:
  Fix build on GCC architectures.

  PR:		239123
  Submitted by:	pkubaj

Changes:
  head/sysutils/xfce4-cpugraph-plugin/Makefile